View Issue Details

IDProjectCategoryView StatusLast Update
0027426Open CASCADEOCCT:Application Frameworkpublic2020-12-19 15:22
Reportermsv Assigned Tobugmaster  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.0.0 
Target Version7.6.0Fixed in Version7.6.0 
Summary0027426: FSD_BinaryFile: Assignment to a temporary handle variable
DescriptionThe line 689 of the current version of the file FSD_BinaryFile.cxx looks like this:

      iData->ReadArray() = new Storage_HPArray(1, theData->NumberOfObjects());

But the method ReadArray() of the class Storage_InternalData returns handle by value. So, this assignment will no take any effect, and the logic of the code becomes ill.

This code was integrated with the fix to the bug #26229.
Steps To ReproduceDear MPV, could you review please: http://vm-jenkins-test-12.nnov.opencascade.com:8080/view/CR27426-master-VRO/view/COMPARE/
TagsNo tags attached.
Test case numberNot required

Activities

abv

2016-11-22 12:07

manager   ~0060668

This code seems to be dead: apart of apparent bug in initialization of a field, another problem is that this field (Storage_InternalData::myReadArray, accessed by method ReadArray()) is nowhere used outside of FSD_BinaryFile::ReadCompleteInfo(), and there is no known test cases when that code using it is activated... This is to be investigated further.

utverdov

2020-09-10 18:00

manager   ~0094400

I'm assigning this ticket to you Sergey because ibs is no longer in the company. I don't even know who is it :)

git

2020-12-14 13:18

administrator   ~0097572

Branch CR27426 has been created by vro.

SHA-1: 7d277c8085f177d42fe94163f74e4e2bf69aed2f


Detailed log of new commits:

Author: Vlad Romashko
Date: Mon Dec 14 13:18:27 2020 +0300

    0027426: FSD_BinaryFile: Assignment to a temporary handle variable
    
    A reference is added to the returning object of the method Storage_InternalData::ReadArray().
    Modified files:
    - Storage_InternalData.hxx
    
    OCCT: CR27426
    Products: nothing

mpv

2020-12-14 15:33

developer   ~0097576

Reviewed
OCCT branch: CR27426
Products branch: NOTHING

kgv

2020-12-14 16:42

developer   ~0097579

Vlad, have you considered a comment left by Andrey, that the code seems nowhere used / not covered by any tests?

bugmaster

2020-12-19 14:48

administrator   ~0097738

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2020-12-19 15:22

administrator   ~0097781

Branch CR27426 has been deleted by inv.

SHA-1: 7d277c8085f177d42fe94163f74e4e2bf69aed2f

Related Changesets

occt: master c6685c65

2020-12-14 10:18:27

vro


Committer: bugmaster Details Diff
0027426: FSD_BinaryFile: Assignment to a temporary handle variable

A reference is added to the returning object of the method Storage_InternalData::ReadArray().
Modified files:
- Storage_InternalData.hxx

OCCT: CR27426
Products: nothing
Affected Issues
0027426
mod - src/Storage/Storage_InternalData.hxx Diff File

Issue History

Date Modified Username Field Change
2016-04-25 12:29 msv New Issue
2016-04-25 12:29 msv Assigned To => mpv
2016-04-25 12:30 msv Assigned To mpv => ibs
2016-09-23 12:20 abv Assigned To ibs => ski
2016-09-23 12:20 abv Status new => assigned
2016-11-22 11:14 kgv Assigned To ski => ibs
2016-11-22 12:07 abv Note Added: 0060668
2016-11-22 12:07 abv Target Version 7.1.0 => 7.2.0
2017-07-27 10:38 abv Target Version 7.2.0 => 7.4.0
2019-09-04 12:58 abv Target Version 7.4.0 => 7.5.0
2020-09-10 18:00 utverdov Note Added: 0094400
2020-09-10 18:00 utverdov Assigned To ibs => szy
2020-09-10 18:00 utverdov Target Version 7.5.0 => 7.6.0
2020-09-21 09:04 szy Assigned To szy => mpv
2020-12-14 13:18 git Note Added: 0097572
2020-12-14 15:21 vro Status assigned => resolved
2020-12-14 15:21 vro Steps to Reproduce Updated
2020-12-14 15:33 mpv Note Added: 0097576
2020-12-14 15:33 mpv Assigned To mpv => bugmaster
2020-12-14 15:33 mpv Status resolved => reviewed
2020-12-14 16:42 kgv Note Added: 0097579
2020-12-19 14:48 bugmaster Note Added: 0097738
2020-12-19 14:48 bugmaster Status reviewed => tested
2020-12-19 14:53 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master c6685c65
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097781